{% extends "admin/html-skeleton.twig" %}
{% block body %}
    <form action="/generator/match-history.php" method="post" onsubmit="return false;">
        <input type="submit" value="Mentés">
        <label for="currentMap">
            Map:
        </label>
        <select name="currentMap" id="currentMap" onchange="updateSites()">
            {% for map in history.getMapNames %}
                <option value="{{ map }}" {{ history.getCurrentMap == map ? "selected" }}>{{ map }}</option>
            {% endfor %}
        </select>
        <div class="form-group">
            <pre>
            {% for round in history %}
                {% include "admin/history-round.twig" %}
            {% endfor %}
            </pre>
        </div>
    </form>
{% endblock %}

{% block lazyload %}
    {{ parent() }}
    <script type="text/javascript">
        var maps = {{ history.getMaps|json_encode|raw }}
        function updateSites() {
            var currentMap = document.getElementById('currentMap').value;
            console.log(maps[currentMap]);
        }


        function siteSelected(button)
        {
            var but = $(button);
            var button_data = but.data();
            resetSiteOutlines(button_data.form);
            $('#' + button_data.input).val(button_data.site);
            but.removeClass().addClass("site " + but.data('selected'));
            return false;
        }

        function resetSiteOutlines(form_id) {
            $('#'+form_id + ' button.site').each(function (idx, button) {
                const but = $(button);
                but.removeClass().addClass("site " + but.data('outline'));
                console.error(but);
            });
        }

        function winSelected(button) {
            var but = $(button);
            var button_data = but.data();
            resetWinOutlines(button_data.form);
            $('#' + button_data.input).val(button_data.site);
            but.removeClass().addClass("win " + but.data('selected'));
            return false;
        }

        function resetWinOutlines(form_id) {
            $('#'+form_id + ' button.win').each(function (idx, button) {
                const but = $(button);
                but.removeClass().addClass("win " + but.data('outline'));
            });
        }

    </script>
{% endblock %}